Bug 466401 - network test failed on s390x arch
network test failed on s390x arch
Status: CLOSED WORKSFORME
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
5.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Greg Nichols
Lawrence Lim
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-09 23:30 EDT by lihuang
Modified: 2014-03-25 20:55 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-27 12:47:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description lihuang 2008-10-09 23:30:08 EDT
Description of problem:
network test failed on s390x arch . 
the following is the  output log :

Running ./network.py:
using test server 10.66.70.85
Testing interface eth0
ignoring interface lo
ip address: 192.168.5.45
Interface eth0 is down
Bringing up interface eth0
ifup eth0 returned 0
Cannot get device settings: No such device
Cannot get wake-on-lan settings: No such device
Cannot get message level: No such device
Cannot get link status: No such device
100+0 records in
100+0 records out
13107200 bytes (13 MB) copied, 5.42143 seconds, 2.4 MB/s
Settings for eth0:
No data available
-
class: NETWORK
bus: S390
detached: 0
device: eth0
driver: qeth
desc: "IBM QETH"
network.hwaddr: 0.0.0a03,0.0.0a04,0.0.0a05
qeth: Hardware IP fragmentation not supported on eth0
qeth: Using SW checksumming on eth0.
qeth: Outbound TSO not supported on eth0
TCP latency using 10.66.70.85: 0.9475 microseconds
0.065536 0.88 MB/sec
TCP latency using 10.66.70.85: 0.9065 microseconds
0.065536 0.85 MB/sec
TCP latency using 10.66.70.85: 0.9287 microseconds
0.065536 0.94 MB/sec
TCP latency using 10.66.70.85: 0.9052 microseconds
0.065536 0.93 MB/sec
TCP latency using 10.66.70.85: 0.9232 microseconds
0.065536 0.54 MB/sec
Interface eth0 is RUNNING
Checking via ping to 10.66.70.85... done
Warning: Unable to determine interface speed
Assuming 100 Mb/s

+----------eth0 info start----------+
+-----Speed-----+

+-----Kudzu-----+

+-----dmesg-----+

+----------eth0 info end----------+

tcp test:
test cycle 1 of 5
testing latency...
TCP latency using 10.66.70.85: 0.9475 microseconds

testing bandwidth to 10.66.70.85...
0.065536 0.88 MB/sec

test cycle 2 of 5
testing latency...
TCP latency using 10.66.70.85: 0.9065 microseconds

testing bandwidth to 10.66.70.85...
0.065536 0.85 MB/sec

test cycle 3 of 5
testing latency...
TCP latency using 10.66.70.85: 0.9287 microseconds

testing bandwidth to 10.66.70.85...
0.065536 0.94 MB/sec

test cycle 4 of 5
testing latency...
TCP latency using 10.66.70.85: 0.9052 microseconds

testing bandwidth to 10.66.70.85...
0.065536 0.93 MB/sec

test cycle 5 of 5
testing latency...
TCP latency using 10.66.70.85: 0.9232 microseconds

testing bandwidth to 10.66.70.85...
0.065536 0.54 MB/sec

PASSED
testing udp latency to 10.66.70.85...
UDP latency using 10.66.70.85: 290526.5000 microseconds
['UDP latency using 10.66.70.85: 290526.5000 microseconds\n']
passed
testing nfs using 10.66.70.85...
cp: closing `/tmp/tmpRSqqdZnfsdir/192.168.5.45/0': Input/output error
Copying 10 x 100 mbit files to/from 10.66.70.85
mount -o rw,intr,rsize=12288,wsize=12288,udp 10.66.70.85:/var/hts/export /tmp/tmpRSqqdZnfsdir
copy from  /var/www/html/httptest.file to /tmp/tmpRSqqdZnfsdir/192.168.5.45/0
Error: NFS Write test failed
Error: "cp /var/www/html/httptest.file /tmp/tmpRSqqdZnfsdir/192.168.5.45/0" has output on stderr
Restoring all interfaces...
Network test on device eth0 failed
...finished running ./network.py, exit code=1
recovered exit code=1




Version-Release number of selected component (if applicable):
hts-5.2-20.el5.noarch

How reproducible:
Everytime

Steps to Reproduce:
1.issue command 'hts certify --test network x.x.x.x ' under terminal (x.x.x.x is the ip addr of the test server .)
2.
3.
  
Actual results:


Expected results:


Additional info:

Note You need to log in before you can comment on or make changes to this bug.